Bug 968442 - "exposed to Internet" in Web UI is inaccurate
"exposed to Internet" in Web UI is inaccurate
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Website (Show other bugs)
1.2.0
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jason DeTiberus
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 13:56 EDT by Bill Montgomery
Modified: 2017-03-08 12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 11:45:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Montgomery 2013-05-29 13:56:21 EDT
Description of problem:
Language that says "exposed to Internet" in Web UI of OpenShift Enterprise is inaccurate. Not all installations of OSE will be exposed to the Internet, at all. This could be very confusing to users.

Version-Release number of selected component (if applicable):
1.2.0 pre-GA

How reproducible:
Consistent (UI text problem)

Steps to Reproduce:
1) Create an app in the web UI at https://broker01.ose-poc.cloud.corp.redhat.com/

2) Choose PHP 5.3 cartridge (Steps 1 & 2)

3) Advance to Step 3 in the web UI

Actual results:

In Step 3 of the web UI it says "Your application has one or more cartridges that expose a public URL to the Internet."

Expected results:
It should say something like "Your application has one or more cartridges that expose a URL." In the case of Red Hat IT, our OpenShift Enterprise instance is not exposed to the Internet at all--only the corporate intranet.

Additional info:
Screenshot: http://file.rdu.redhat.com/~bmontgom/openshift-confusing-message.png
Comment 2 Jason DeTiberus 2013-05-30 11:06:38 EDT
https://github.com/openshift/enterprise-server/pull/66
Comment 3 Jason DeTiberus 2013-05-30 11:24:25 EDT
(In reply to Jason DeTiberus from comment #2)
> https://github.com/openshift/enterprise-server/pull/66

Upstream change
https://github.com/openshift/origin-server/pull/2693

Enterprise specific change has been abandoned.
Comment 4 openshift-github-bot 2013-05-30 13:12:55 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/a31134e35aa2f412d4e79f7e1c542c78deaa67b0
<openshift-console> Bug 968442 - Change verbiage of get_started page

https://bugzilla.redhat.com/show_bug.cgi?id=968442

Change the verbiage of get_started.html.haml to remove reference to "on
the Internet"
Comment 5 Gaoyun Pei 2013-06-04 02:35:05 EDT
Test this bug on puddle: http://buildvm-devops.usersys.redhat.com/puddle/build/OpenShiftEnterprise/1.2/2013-06-03.1/

After creating an app on Web console, check the contents:

Accessing your application
Your application has one or more cartridges that expose a public URL. Click the link below to see your application:

http://app2-00.osetestv2.com/

So move it to VERIFIED.
Comment 6 Luke Meyer 2013-06-28 11:45:55 EDT
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).

Note You need to log in before you can comment on or make changes to this bug.